# eric4.KdeQt.KQColorDialog

Compatibility module to use the KDE Color Dialog instead of the Qt Color Dialog.

### Classes

None

### Functions

__kdeGetColor | Public function to pop up a modal dialog to select a color.
getColor | Public function to pop up a modal dialog to select a color.

## __kdeGetColor

__kdeGetColor(initial = Qt.white, parent = None)

Public function to pop up a modal dialog to select a color.

initial
  initial color to select (QColor)
parent
  parent widget of the dialog (QWidget)

Returns:
  the selected color or the invalid color, if the user canceled the dialog (QColor)

Up

## getColor

getColor(initial = QColor(Qt.white), parent = None)

Public function to pop up a modal dialog to select a color.

initial
  initial color to select (QColor)
parent
  parent widget of the dialog (QWidget)

Returns:
  the selected color or the invalid color, if the user canceled the dialog (QColor)

Up